Page 1 of 2 12 LastLast
Results 1 to 20 of 22

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Possible to jailbreak 3gs 4.0.1?

  1. #1
    Default Possible to jailbreak 3gs 4.0.1?
    Hi, Im wondering if its possible to jailbreak my iphone 3gs running 4.0.1. I have read it is possible, I tried with sn0wbreeze 1.8 beta and got not a valid ipsw, I tried with redsn0w 9.5b-5 and got unrecognized ipsw.. Not sure what Im doing wrong, I have used both the office ipsw I had from upgrading as well as numerous ipsws i downloading.. nothing worked.. Any help would be greatly appreciated. Thanks.

  2. #2
    Livin the iPhone Life Simtech's Avatar
    Join Date
    Aug 2007
    Location
    LA
    Posts
    2,387
    Thanks
    105
    Thanked 304 Times in 276 Posts

    You can only jailbreak if you were previously jailbroken and have your 3.1.x SHSH files saved.

  3. #3
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Quote Originally Posted by VirtualDevl View Post
    Hi, Im wondering if its possible to jailbreak my iphone 3gs running 4.0.1. I have read it is possible, I tried with sn0wbreeze 1.8 beta and got not a valid ipsw, I tried with redsn0w 9.5b-5 and got unrecognized ipsw.. Not sure what Im doing wrong, I have used both the office ipsw I had from upgrading as well as numerous ipsws i downloading.. nothing worked.. Any help would be greatly appreciated. Thanks.
    Redsn0w isnt for 3GS and only old bootrom phones can use custom firmware (such as those created by sn0wbreeze).

  4. #4
    Quote Originally Posted by Simtech View Post
    You can only jailbreak if you were previously jailbroken and have your 3.1.x SHSH files saved.
    I believe I have them for my 3.1.2 jailbreak. On cydia right? How can I verify.. Thanks so much sorry for my lack of knowledge

    Please feel free to point me to any source of info. I don't mind reading. Thanks
    Last edited by VirtualDevl; 2010-07-23 at 03:36 PM. Reason: Automerged Doublepost

  5. #5
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Use tiny umbrella to find out if you have shsh's for 3.1.2.

  6. #6
    It only shows info for the 3GS 4.0.1. Not sure how to look for old ones. I'm almost 100% I have them locally on my drive.. Just not sure how to progress

  7. #7
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    Select advanced options from tiny umbrella and ask it to display shsh for the selected fw, that will tell you if you have them.

  8. #8
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    There's a drop down box in umbrella where it shows the firmware it looks for, change it from 4.0.1 to 3.1.2 for your device then hit save shsh's. It will tell you if it can get them or not. If it does get them it will also save them locally.

    Try it for each fw 3.0 and up all the way through 4.0.1. That way you'll see what you have and get the ones you do saved on your computer.
    Last edited by jkmonkey; 2010-07-23 at 03:59 PM. Reason: Automerged Doublepost

  9. #9
    Ok. I have them for 3.1.3 and 4.0.1. Am I able to jailbreak?!

  10. #10
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Sure. Downgrade to 3.1.3 with tinyumbrella. Then use Spirit for an untethered jb if your phone has the new boot.

    Edit: I mean you can use it too for the old boot but if it's new boot Spirit will not cause a tethered jb.
    Last edited by i.Annie; 2010-07-23 at 05:24 PM.

  11. #11
    So I cannot jb with 4.1?

  12. #12
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    If you have the old bootrom I suppose you could. You would still have to downgrade to 3.1.3 and jailbreak (but not with Spirit if you plan to go back up) then upgrade to 4.0.1 then jailbreak it again. New bootrom 3GS cannot be jailbroken on 4.0 at this time so you need to check what bootrom you have.

    Edit: if you've been jailbroken before, and you have the old boot, you can jailbreak 4.0.1 with PwnageTool or Spirit (I wanna say sn0wbreeze too but I'm not 100% sure) but if you're on the new bootrom, you can't do it.
    Last edited by i.Annie; 2010-07-23 at 06:15 PM. Reason: Automerged Doublepost

  13. #13
    It's 4.0.1 with 5.13

  14. #14
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Quote Originally Posted by VirtualDevl View Post
    It's 4.0.1 with 5.13
    Lol yes ok that's a given... And I gave you instructions. You still have to go check your bootrom and see if it's the new or old before you can assess anything. Google "how to check 3GS bootrom". I believe iClarified has a good guide on it.

  15. #15
    Quote Originally Posted by Anniex423 View Post
    Lol yes ok that's a given... And I gave you instructions. You still have to go check your bootrom and see if it's the new or old before you can assess anything. Google "how to check 3GS bootrom". I believe iClarified has a good guide on it.
    Im sorry, I misunderstood, it says IBOOT-359.3. Thanks again.

    Quote Originally Posted by Anniex423 View Post
    If you have the old bootrom I suppose you could. You would still have to downgrade to 3.1.3 and jailbreak (but not with Spirit if you plan to go back up) then upgrade to 4.0.1 then jailbreak it again. New bootrom 3GS cannot be jailbroken on 4.0 at this time so you need to check what bootrom you have.

    Edit: if you've been jailbroken before, and you have the old boot, you can jailbreak 4.0.1 with PwnageTool or Spirit (I wanna say sn0wbreeze too but I'm not 100% sure) but if you're on the new bootrom, you can't do it.
    I cant seem to find anything for Spirit and 4.0.1

    I think I found something, sn0wbreeze 1.7..
    Last edited by VirtualDevl; 2010-07-24 at 02:08 AM. Reason: Automerged Doublepost

  16. #16
    Retired Moderator j3st3r's Avatar
    Join Date
    Mar 2008
    Location
    Louisiana
    Posts
    2,447
    Thanks
    42
    Thanked 405 Times in 395 Posts

    Quote Originally Posted by Anniex423 View Post

    Edit: if you've been jailbroken before, and you have the old boot, you can jailbreak 4.0.1 with PwnageTool or Spirit (I wanna say sn0wbreeze too but I'm not 100% sure) but if you're on the new bootrom, you can't do it.
    at this point spirit will not jailbreak 4.0 or 4.0.1, the new jailbreak by @comex will not be called Spirit so if I had to guess Spirit never will be able to jailbreak 4.0 or 4.0.1

  17. #17
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I was under the impression that 4.0 and 4.0.1 don't differ greatly, but that might only apply for the 3G. I believe I heard something about Sn0wbreeze v1.8 (or 1.7 I think, like you said) and 3GS on 4.0.1 but I can't be 100% sure. It won't hurt to try Sn0wbreeze though cuz it won't put your phone in any harm if you have your SHSH files backed up to downgrade.

  18. #18
    Ok, totally lost.. I was able to downgrade to 3.1.3, I have my SHSH for that.. before I did that I created a sn0wbreeze ipsw with 4.0. I thank jailbroke 3.1.3 using spirit I unlocked.. When I try to do restore to my custom ipsw i get stuck on preparing phone... Thanks..

  19. #19
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    I think it's cuz you used Spirit to jailbreak 3.1.3 which causes problems with jailbreaking 4.0. So...I think when you go down to 3.1.3 you have to use another method of jailbreak such as Pwnagetool or Sn0wbreeze.

  20. #20
    Quote Originally Posted by Anniex423 View Post
    I think it's cuz you used Spirit to jailbreak 3.1.3 which causes problems with jailbreaking 4.0. So...I think when you go down to 3.1.3 you have to use another method of jailbreak such as Pwnagetool or Sn0wbreeze.
    I believe that is the case too. You have to make a custom 3.1.3 FW w/Pwnagetool or Sn0wbreeze that is jailbroken. Then, if you want 4.0.1, you'll need to make a custom version of that FW.

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •